{% extends "base.html" %}
{% block title %}{{ args.title }}{% endblock %}
{% block content %}
<style>
table, th, td {
  border:1px solid black;
}
</style>
<h1>{{ args.title }}</h1>

<form name="input" action="/specificMarketSummary" data-ajax="false">
Market Name: <input type="text" name="market" value="{{ args.market }}">
<input type="submit" value="Check">
</form>

<!-- build table!!! -->
{% if args.market%}
  {% if args.success %}
    <h2>The market summary for {{ args.market }} is:</h2>
    <table style="width:100%">
      <thead>
        <tr>    
        {% for header in args.headers %}
          <th><a>{{header}}</a></th>
        {% endfor %}
        </tr>
      </thead>
      <tbody>
      {% for row in args.marketSummary %}
        <tr>
        {% for data_item in row %}
          <td>{{ data_item }}</td>
        {% endfor %}
        </tr>
      {% endfor %}
      </tbody>
  </table>
  {% else %}
    {% if args.message %}
      <h2>{{ args.message}}</h2>
    {% else %}
      <h2>Error {{ args.success_insert }}.</h2>
    {% endif %}
  {% endif %}
{% endif %}

<script src="http://code.jquery.com/jquery-latest.js"></script>
{% endblock %}
